* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

body {
    font-family: Arial, sans-serif;
    background-color: #f0f0f0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
}

h2, p {
    text-align: center;
}

p {
    margin-bottom: 20px;
    color: #999;
}

.login-container {
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    padding: 20px;
    height: 300px;
    max-height: 100%;
    width: 300px;
    max-width: 100%;
}

.form-group {
    position: relative;
    margin-bottom: 20px;
}

label {
    position: absolute;
    left: 10px;
    top: 10px;
    transition: top 0.3s ease-out, font-size 0.3s ease-out;
    font-size: 16px;
    color: #999;
}

input {
    width: calc(100% - 2px);
    padding: 10px;
    font-size: 16px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

input:focus {
    outline: none;
    border-color: #85b7d9;
}

input:focus + label,
input:not(:placeholder-shown) + label {
    top: -10px;
    font-size: 12px;
    color: #85b7d9;
    background-color: #fff;
    padding: 0 5px;
}

button {
    width: 100%;
    padding: 10px;
    background-color: #85b7d9;
    color: #fff;
    border: none;
    border-radius: 4px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #6c98c0;
}

@media (max-width: 600px) {
    .login-container {
        width: 100%;
        padding: 15px;
    }
}

.error-message{
    color: red;
}
